"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var _ = require("lodash");
var DatePickerComponent = (function () {
    function DatePickerComponent() {
        this.dateChangeEvent = new core_1.EventEmitter();
    }
    Object.defineProperty(DatePickerComponent.prototype, "date", {
        get: function () {
            return this._date;
        },
        set: function (v) {
            this._date = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DatePickerComponent.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (v) {
            var temp = _.cloneDeep(v);
            if (temp.minDate && typeof (temp.minDate) === 'string') {
                temp.minDate = new Date(temp.minDate);
            }
            if (temp.maxDate && typeof (temp.maxDate) === 'string') {
                temp.maxDate = new Date(temp.maxDate);
            }
            this._options = temp;
        },
        enumerable: true,
        configurable: true
    });
    DatePickerComponent.prototype.setDate = function (ev) {
        this.dateChangeEvent.emit(ev);
    };
    DatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-date-picker',
                    template: "\n    <dc-ng-datepicker [initDate]=\"date || ''\" [width]=\"options?.width\" [minDate]=\"options?.minDate\" [maxDate]=\"options?.maxDate\"\n                      (ngModelChange)=\"setDate($event)\"></dc-ng-datepicker>\n  ",
                    styles: ["\n  "],
                },] },
    ];
    /** @nocollapse */
    DatePickerComponent.ctorParameters = function () { return []; };
    DatePickerComponent.propDecorators = {
        "date": [{ type: core_1.Input },],
        "dateChangeEvent": [{ type: core_1.Output },],
        "options": [{ type: core_1.Input },],
    };
    return DatePickerComponent;
}());
exports.DatePickerComponent = DatePickerComponent;
//# sourceMappingURL=date.picker.component.js.map